// vue.config.js

module.exports = {
    devServer: {
        headers: {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Headers": "*",
            "Access-Control-Allow-Methods": "*"
        },
        proxy: {
            '^/media/2': {
                target: 'https://staging.c3lf.de/',
                changeOrigin: true
            },
            '^/api/2': {
                target: 'https://staging.c3lf.de/',
                changeOrigin: true,
            },
            '^/api/1': {
                target: 'https://staging.c3lf.de/',
                changeOrigin: true,
            },
            '^/ws/2': {
                target: 'http://127.0.0.1:8082/',
                //changeOrigin: true,
                ws: true,
                logLevel: 'debug',
            },
        }
    }
}